Class Index | File Index

## Classes

- _global_
- M
- M.ActionSheetDialogView
- M.AlertDialogView
- M.Application
- M.Base64
- M.ButtonGroupView
- M.ButtonView
- M.ConfirmDialogView
- M.ContainerView
- M.Controller
- M.Cypher
- M.DataProvider
- M.Date
- M.DateValidator
- M.EmailValidator
- M.Environment
- M.EventDispatcher
- M.FormView
- M.GridView
- M.I18N
- M.ImageView
- M.LabelView
- M.ListItemView
- M.ListView
- M.LoaderView
- M.LocalStorageProvider
- M.Logger
- M.Math
- M.Model
- M.ModelAttribute
- M.ModelRegistry
- M.NotMinusValidator
- M.NumberValidator
- M.Object
- M.Observable
- M.PageView
- M.PhoneValidator
- M.PresenceValidator
- M.RecordManager
- M.RemoteStorageProvider
- M.Request
- M.ScrollView
- M.SearchBarView
- M.SelectionListItemView
- M.SelectionListView
- M.SHA256
- M.TabBarItemView
- M.TabBarView
- M.TextFieldView
- M.ToggleView
- M.ToolbarView
- M.UrlValidator
- M.Validator
- M.View
- M.ViewManager
- M.WebSqlProvider

# Class M.Object

Defined in: object.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| M.Object()

Field Summary
Field Attributes | Field Name and Description
--- | ---
| type The type of this object.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| bindToCaller(caller, method, arg) Binds a method to its caller, so it is always executed within the right scope.
| create(obj) Creates an object.
| destroy() This method will remove an object from the DOM and then delete it.
| extend() Creates a new class and extends it with all functions of the defined super class The function takes multiple input arguments.
| get(key) Returns the class property behind the given key.
| include()
| set(key, value) Returns the class property behind the given key.

Class Detail
M.Object()
Field Detail
{String} type
The type of this object.
Method Detail
bindToCaller(caller, method, arg)
Binds a method to its caller, so it is always executed within the right scope.

Parameters:
{Object} caller
  The scope of the method that should be bound.
{Object} method
  The method to be bound.
{Object} arg
  One or more arguments. If more, then apply is used instead of call.

create(obj)
Creates an object.

Parameters:
obj

destroy()
This method will remove an object from the DOM and then delete it.

extend()
Creates a new class and extends it with all functions of the defined super class The function takes multiple input arguments. Each argument serves as additional super classes - see mixins.

get(key)
Returns the class property behind the given key.

Parameters:
{String} key
  The key of the property to be returned.

include()

set(key, value)
Returns the class property behind the given key.

Parameters:
{String} key
  The key of the property to be changed.
{Object|String} value
  The value to be set.

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Dec 08 2010 15:07:32 GMT+0100 (MEZ)